#!/bin/sh
#
# $Header: //depot/prod/ossv/R3.0.1/src/ossvbase/basefiles/packagingutils/startup.sh#3 $
#
# OSSV startup/shutdown script
# For RedHat Linux, the following information is read by chkconfig and
# the start/stop links are installed at appropriate run levels.
#
# chkconfig: 345  20 80
# Description:    Start OSSV to allow backups to filer/nearstore
#
# For SuSE Linux, the following information is read by "insserv" program and the
# start/stoplinks are installed at appropriate runlevels.
# The network interface and logger has to be up for starting ossv service
### BEGIN INIT INFO
# Provides: ossv
# Required-Start: $network $syslog
# Required-Stop:  $network $syslog
# Default-Start:  3 4 5
# Default-Stop:   0 1 2 6
### END INIT INFO

PATH=$PATH:/usr/bin
OS=`uname`

findnvhome() {
		if [ ! -d "$NV_HOME" ]
		then
				NV_HOME=`head -n 1 /etc/.snapvault`
		fi
		if [ ! -d "$NV_HOME" ]
		then
				echo "Cannot locate OSSV home directory."
				exit 1
		fi
}

case "$1" in
		
'start_msg')
				echo "Start OSSV services"
				exit 0
				;;
		
'stop_msg')
				echo "Stop OSSV services"
				exit 0
				;;
		
'start')
				findnvhome 
				PATH=$NV_HOME/uninstall:$PATH
				OS=`uname`
				if [ $OS = Linux -o $OS = Esx ]
        then
						touch /var/lock/subsys/ossv
				fi
				"$NV_HOME/bin/svpmgr" startup
				exit 0
				;;

'restart')
				findnvhome
				"$NV_HOME/bin/svpmgr"
				exit 0
				;;

'stop')
				findnvhome
				PATH=$NV_HOME/uninstall:$PATH
				OS=`uname`
				"$NV_HOME/bin/svpmgr" shutdown
				if [ $OS = Linux -o $OS = Esx ]
        then
						rm -rf /var/lock/subsys/ossv
        fi
				exit 0
				;;
		
		*)
				echo "Usage: startup.sh { start | stop }"
				exit 1
				;;
		
esac

